# H245_G729Extensions Class Reference

`#include <h245.h>`

Inheritance diagram for H245_G729Extensions:

List of all members.

## Public Types

enum | OptionalFields { e_audioUnit }

## Public Member Functions

| H245_G729Extensions (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_audioUnit
PASN_Boolean | m_annexA
PASN_Boolean | m_annexB
PASN_Boolean | m_annexD
PASN_Boolean | m_annexE
PASN_Boolean | m_annexF
PASN_Boolean | m_annexG
PASN_Boolean | m_annexH

## Member Enumeration Documentation

enum H245_G729Extensions::OptionalFields

Enumerator:

  e_audioUnit |

## Constructor & Destructor Documentation

H245_G729Extensions::H245_G729Extensions | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_G729Extensions::GetDataLength | ( |  | ) | const

PBoolean H245_G729Extensions::Decode | ( | PASN_Stream & | strm | ) |

void H245_G729Extensions::Encode | ( | PASN_Stream & | strm | ) | const

void H245_G729Extensions::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_G729Extensions::Compare | ( | const PObject & | obj | ) | const

PObject* H245_G729Extensions::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_G729Extensions::m_audioUnit

PASN_Boolean H245_G729Extensions::m_annexA

PASN_Boolean H245_G729Extensions::m_annexB

PASN_Boolean H245_G729Extensions::m_annexD

PASN_Boolean H245_G729Extensions::m_annexE

PASN_Boolean H245_G729Extensions::m_annexF

PASN_Boolean H245_G729Extensions::m_annexG

PASN_Boolean H245_G729Extensions::m_annexH

The documentation for this class was generated from the following file:

- h245.h